import { ComponentOptionsMixin } from 'vue';
import { default as default_2 } from 'tinycolor2';
import { DefineComponent } from 'vue';
import { ExtractPropTypes } from 'vue';
import { PropType } from 'vue';
import { PublicProps } from 'vue';
import { Ref } from 'vue';
import { ShallowRef } from 'vue';

declare const allowedFormat: readonly ["rgb", "rgb object", "rgb string", "hsv", "hsv object", "hsv string", "hsl", "hsl object", "hsl string", "name", "name string", "hex", "hex string", "hex8", "hex8 string"];

declare const allowedPosition: readonly ["top", "top right", "top left", "top center", "right top", "right", "right bottom", "right center", "bottom right", "bottom", "bottom left", "bottom center", "left top", "left bottom", "left", "left center"];

declare const _default: DefineComponent<    {
modelValue: {
required: true;
type: PropType<string | Record<string, number>>;
};
format: {
type: PropType<"rgb" | "rgb object" | "rgb string" | "hsv" | "hsv object" | "hsv string" | "hsl" | "hsl object" | "hsl string" | "name" | "name string" | "hex" | "hex string" | "hex8" | "hex8 string">;
default: string;
};
position: {
type: PropType<"top" | "top right" | "top left" | "top center" | "right top" | "right" | "right bottom" | "right center" | "bottom right" | "bottom" | "bottom left" | "bottom center" | "left top" | "left bottom" | "left" | "left center">;
default: string;
};
transition: {
type: PropType<string>;
default: string;
};
disableAlpha: {
type: PropType<boolean>;
};
disabled: {
type: PropType<boolean>;
};
disableTextInputs: {
type: PropType<boolean>;
};
}, {
pickStart: () => void;
pickEnd: (e?: Event) => void;
color: ShallowRef<default_2.Instance | null>;
active: Ref<boolean, boolean>;
}, unknown, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
mounted: (...args: any[]) => void;
beforeUnmount: (...args: any[]) => void;
"update:modelValue": (...args: any[]) => void;
pickStart: (...args: any[]) => void;
pickEnd: (...args: any[]) => void;
hueInputStart: (...args: any[]) => void;
hueInputEnd: (...args: any[]) => void;
hueInput: (...args: any[]) => void;
alphaInputStart: (...args: any[]) => void;
alphaInputEnd: (...args: any[]) => void;
alphaInput: (...args: any[]) => void;
saturationInputStart: (...args: any[]) => void;
saturationInputEnd: (...args: any[]) => void;
saturationInput: (...args: any[]) => void;
change: (...args: any[]) => void;
}, string, PublicProps, Readonly<ExtractPropTypes<    {
modelValue: {
required: true;
type: PropType<string | Record<string, number>>;
};
format: {
type: PropType<"rgb" | "rgb object" | "rgb string" | "hsv" | "hsv object" | "hsv string" | "hsl" | "hsl object" | "hsl string" | "name" | "name string" | "hex" | "hex string" | "hex8" | "hex8 string">;
default: string;
};
position: {
type: PropType<"top" | "top right" | "top left" | "top center" | "right top" | "right" | "right bottom" | "right center" | "bottom right" | "bottom" | "bottom left" | "bottom center" | "left top" | "left bottom" | "left" | "left center">;
default: string;
};
transition: {
type: PropType<string>;
default: string;
};
disableAlpha: {
type: PropType<boolean>;
};
disabled: {
type: PropType<boolean>;
};
disableTextInputs: {
type: PropType<boolean>;
};
}>> & {
onMounted?: ((...args: any[]) => any) | undefined;
onBeforeUnmount?: ((...args: any[]) => any) | undefined;
"onUpdate:modelValue"?: ((...args: any[]) => any) | undefined;
onPickStart?: ((...args: any[]) => any) | undefined;
onPickEnd?: ((...args: any[]) => any) | undefined;
onHueInputStart?: ((...args: any[]) => any) | undefined;
onHueInputEnd?: ((...args: any[]) => any) | undefined;
onHueInput?: ((...args: any[]) => any) | undefined;
onAlphaInputStart?: ((...args: any[]) => any) | undefined;
onAlphaInputEnd?: ((...args: any[]) => any) | undefined;
onAlphaInput?: ((...args: any[]) => any) | undefined;
onSaturationInputStart?: ((...args: any[]) => any) | undefined;
onSaturationInputEnd?: ((...args: any[]) => any) | undefined;
onSaturationInput?: ((...args: any[]) => any) | undefined;
onChange?: ((...args: any[]) => any) | undefined;
}, {
format: Format;
position: Position;
transition: string;
}, {}>;
export default _default;

declare type Format = typeof allowedFormat[number];

declare type Position = typeof allowedPosition[number];

export { }
